Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1842067 - systemd: Bad user or group name when it contains a dot
Summary: systemd: Bad user or group name when it contains a dot
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-30 16:04 UTC by mark preston
Modified: 2020-06-05 02:29 UTC (History)
6 users (show)

Fixed In Version: systemd-245.6-2.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-05 02:29:31 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github systemd systemd issues 12754 0 None closed systemd does not allow user names with a dot in them 2020-08-24 16:43:49 UTC

Description mark preston 2020-05-30 16:04:43 UTC
Description of problem:
systemd: Bad user or group name "xxxx.yyyy", accepting for compatibility.
this is NOT a bad username and is valid. systemd should not dictate what is or isn't a valid username.

Version-Release number of selected component (if applicable):
systemd-245.4-1.fc32.x86_64

How reproducible:
always

Steps to Reproduce:
1. create a user/group that has a dot in the name. e.g.  xxxx.yyyy
2. reboot the system
3. check messages for error

Actual results:
May 30 11:34:31 hostname systemd[270811]: Bad user or group name "xxxx.yyyy", accepting for compatibility.
May 30 11:34:31 hostname systemd[270811]: Bad user or group name "xxxx.yyyy", accepting for compatibility.
May 30 11:34:31 hostname systemd-userwork[270803]: Bad user or group name "xxxx.yyyy", accepting for compatibility.
May 30 11:34:31 hostname systemd-userwork[270803]: Bad user or group name "xxxx.yyyy", accepting for compatibility.


Expected results:
these errors should not be there

Additional info:
https://github.com/systemd/systemd/issues/12754

Comment 1 Zbigniew Jędrzejewski-Szmek 2020-05-31 10:56:25 UTC
That message was changed in the latest version. Can you check if you still get the issue wiht
https://bodhi.fedoraproject.org/updates/FEDORA-2020-dd43dd05b1?

Comment 2 mark preston 2020-05-31 16:29:57 UTC
i installed the latest version and the message is gone as it should be.  I'll be adding +karma

Comment 3 Fedora Update System 2020-05-31 16:59:11 UTC
FEDORA-2020-dd43dd05b1 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-dd43dd05b1

Comment 4 Zbigniew Jędrzejewski-Szmek 2020-05-31 17:00:10 UTC
Thanks for testing.

Comment 5 Fedora Update System 2020-06-01 03:12:34 UTC
FEDORA-2020-dd43dd05b1 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-dd43dd05b1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-dd43dd05b1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-06-02 10:10:37 UTC
FEDORA-2020-dd43dd05b1 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-dd43dd05b1

Comment 7 Fedora Update System 2020-06-03 03:11:31 UTC
FEDORA-2020-dd43dd05b1 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-dd43dd05b1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-dd43dd05b1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-06-05 02:29:31 UTC
FEDORA-2020-dd43dd05b1 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.